ReferenceScanning
Visitors
6 operations. Send Authorization: Bearer $PASSBOOK_KEY. Markdown
GET
/api/v1/visitorspasses:readSDK pb.visitors.list
Query
tab"today" | "upcoming" | "past"
dayStartinteger | null · ≥ 0
dayEndinteger | null · ≥ 0
cursorstring · max 512
Returns
200
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |
POST
/api/v1/visitorspasses:writeSDK pb.visitors.create
Body
orgIdstring · max 64Required
namestring · max 80Required
windowFrominteger · ≥ 0Required
windowUntilinteger · ≥ 0Required
emailstring · max 254
hostUserIdstring · max 64
hostNamestring · max 80
hostEmailstring · max 254
notestring · max 100
templateIdstring · max 64
Returns
201
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |
GET
/api/v1/visitors/hostspasses:readSDK pb.visitors.listHosts
Query
cursorstring · max 512
Returns
200
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |
POST
/api/v1/visitors/{id}/check-outpasses:writeSDK pb.visitors.checkOut
Path
idstring · max 64Required
Returns
200
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_FOUND | Check the id, and that the key's mode (test or live) matches the object. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |
POST
/api/v1/visitors/{id}/cancelpasses:writeSDK pb.visitors.cancel
Path
idstring · max 64Required
Returns
200
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_FOUND | Check the id, and that the key's mode (test or live) matches the object. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |
POST
/api/v1/visitors/{id}/host-emailpasses:writeSDK pb.visitors.sendHostEmail
Path
idstring · max 64Required
Body
timeZonestring · max 64
Returns
200
Errors
| Code | Status | Fix |
|---|---|---|
| FORBIDDEN | Use a key with the scope the operation lists, or ask an org admin. | |
| INVALID_API_KEY | Create a new key in the console and update PASSBOOK_KEY. | |
| MISSING_SCOPE | Create a key with the scope the operation lists under security. | |
| NOT_FOUND | Check the id, and that the key's mode (test or live) matches the object. | |
| NOT_INSIDE | Do nothing; check occupancy before marking out. | |
| PASS_NOT_FOUND | Check the id with GET /api/v1/passes and the key's mode. | |
| RATE_LIMITED | Wait for Retry-After seconds, then retry. Back off on repeats. | |
| UNAUTHENTICATED | Send Authorization: Bearer $PASSBOOK_KEY. | |
| VALIDATION | Fix each field in issues and resend. | |
| VISITOR_CHANGED | Fetch the visitor list with GET /api/v1/visitors and send your change again. | |
| VISITOR_HOST_NOTICE_FAILED | Send the request again; the visit is still recorded. | |
| VISITOR_HOST_UNKNOWN | Choose a host from GET /api/v1/visitors/hosts. | |
| VISITOR_IN | Check them out first. | |
| VISITOR_NOT_FOUND | Check the id with GET /api/v1/visitors. | |
| VISITOR_NOT_IN | Check them in before this action. | |
| VISITOR_OUT | Do nothing; check status with GET /api/v1/visitors. | |
| VISITOR_RESEND_LIMIT | Contact the host another way. | |
| VISITOR_TEMPLATE_MISSING | Set up the visitor template in the console, then retry. |